Bug 23399 - Reindent returns.tt
Summary: Reindent returns.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 23328 23286
Blocks: 23039 23434
  Show dependency treegraph
 
Reported: 2019-07-30 13:11 UTC by Owen Leonard
Modified: 2019-08-09 14:08 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23399: Reindent returns.tt (113.90 KB, patch)
2019-07-30 13:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23399: (follow-up) Markup comments and corrections (14.87 KB, patch)
2019-07-30 13:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23399: Reindent returns.tt (113.96 KB, patch)
2019-08-01 17:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23399: (follow-up) Markup comments and corrections (14.93 KB, patch)
2019-08-01 17:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23399: Reindent returns.tt (114.01 KB, patch)
2019-08-08 11:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23399: (follow-up) Markup comments and corrections (14.98 KB, patch)
2019-08-08 11:59 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-30 13:11:40 UTC
I would like to reindent circulation/returns.tt: Remove tabs, correct indentation, add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-07-30 13:58:11 UTC
Created attachment 91877 [details] [review]
Bug 23399: Reindent returns.tt

This patch reindents circulation/returns.tt to use four spaces,
following coding guidelines.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but each must take their own journey.

Test the checkin process to confirm that everything still works
correctly.
Comment 2 Owen Leonard 2019-07-30 13:58:13 UTC
Created attachment 91878 [details] [review]
Bug 23399: (follow-up) Markup comments and corrections

This patch adds comments to the template to highlight the markup
structure. It also corrects some minor markup errors.

This patch should have no effect on the interface or functionality.
Comment 3 Kyle M Hall 2019-08-01 17:08:00 UTC
Created attachment 91910 [details] [review]
Bug 23399: Reindent returns.tt

This patch reindents circulation/returns.tt to use four spaces,
following coding guidelines.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but each must take their own journey.

Test the checkin process to confirm that everything still works
correctly.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2019-08-01 17:08:11 UTC
Created attachment 91911 [details] [review]
Bug 23399: (follow-up) Markup comments and corrections

This patch adds comments to the template to highlight the markup
structure. It also corrects some minor markup errors.

This patch should have no effect on the interface or functionality.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Martin Renvoize 2019-08-08 11:59:35 UTC
Created attachment 92070 [details] [review]
Bug 23399: Reindent returns.tt

This patch reindents circulation/returns.tt to use four spaces,
following coding guidelines.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but each must take their own journey.

Test the checkin process to confirm that everything still works
correctly.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-08-08 11:59:38 UTC
Created attachment 92071 [details] [review]
Bug 23399: (follow-up) Markup comments and corrections

This patch adds comments to the template to highlight the markup
structure. It also corrects some minor markup errors.

This patch should have no effect on the interface or functionality.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-08-08 12:00:05 UTC
Always good to make the indenting a bit more sane.. thanks Owen!

Passing QA
Comment 8 Martin Renvoize 2019-08-08 12:07:08 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-09 14:08:27 UTC
Enhancement not pushed to 19.05.x